/***************************************************************************
 *                                                                         *
 *  MAXIMUS-CBCS Source Code, Version 1.02                                 *
 *  Copyright 1989, 1990 by Scott J. Dudley.  All rights reserved.         *
 *                                                                         *
 *  Menu server enumerations and structures                                *
 *                                                                         *
 *  For complete details of the licensing restrictions, please refer to    *
 *  the licence agreement, which is published in its entirety in MAX.C     *
 *  and LICENCE.MAX.                                                       *
 *                                                                         *
 *  USE OF THIS FILE IS SUBJECT TO THE RESTRICTIONS CONTAINED IN THE       *
 *  MAXIMUS-CBCS LICENSING AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF THIS *
 *  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES, OR IF YOU DO NOT HAVE   *
 *  THESE FILES, YOU SHOULD IMMEDIATELY CONTACT THE AUTHOR AT ONE OF THE   *
 *  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO USE THIS    *
 *  FILE WITHOUT HAVING ACCEPTED THE TERMS OF THE MAXIMUS-CBCS LICENSING   *
 *  AGREEMENT, OR SUCH OTHER AGREEMENT AS YOU ARE ABLE TO REACH WITH THE   *
 *  AUTHOR.                                                                *
 *                                                                         *
 *  You can contact the author at one of the address listed below:         *
 *                                                                         *
 *  Scott Dudley           FidoNet  1:249/106                              *
 *  777 Downing St.        IMEXnet  89:483/202                             *
 *  Kingston, Ont.         Internet f106.n249.z1.fidonet.org               *
 *  Canada - K7M 5N3       BBS      (613) 389-8315 - HST/14.4K, 24hrs      *
 *                                                                         *
 ***************************************************************************/

/* Enumeration `option' -- All possible values for menu.option[x].type */

typedef enum
{
  /* If this menu option doesn't do anything */
  nothing,

  /* Controlling display of other menus/files */
  display_menu,display_file,

  /* Controlling external programs */
  xtern_erlvl,xtern_dos,xtern_run,xtern_chain,xtern_concur,

  /* Options generally found on the main menu */
  goodbye,statistics,o_yell,userlist,o_version,

  /* Options generally found on the message menu */
  area_change,same_direction,read_next,read_previous,enter_message,
  msg_reply,read_nonstop,read_original,read_reply,msg_list,msg_scan,
  msg_inquire,msg_kill,msg_hurl,forward,msg_upload,xport,read_individual,
  msg_checkmail,

  /* Options generally found on the files menu */

  locate,file_titles,type,upload,download,raw,file_kill,contents,file_hurl,

  /* Options generally found on the Change Setup menu */

  chg_city,chg_password,chg_help,chg_nulls,chg_width,chg_length,chg_tabs,
  chg_more,chg_video,chg_editor,chg_clear,chg_ibm,

  edit_save,edit_abort,edit_list,edit_edit,edit_insert,edit_delete,
  edit_continue,edit_to,edit_from,edit_subj,edit_handling,

  /* Miscellanious commands */

  o_cls,

  /* Stuff that was hacked on after the original implementation */

  user_editor,override_path,who_is_on,read_diskfile,edit_quote,
  chg_phone,chg_realname,leave_comment,message,file,other,newfiles,
  o_press_enter,key_poke,clear_stacked,o_if,o_menupath,o_page,o_chat_cb,
  chat_toggle,msg_change,chg_hotkeys,o_chat_pvt,

  /* Everything below here is RESERVED by Maximus for future uses!         *
   * Also, everything ABOVE is fairly stable.  If changes have to be made, *
   * the old options above will NOT be re-used.  For example, if the       *
   * `edit_insert' command should become obsoleted for some reason, that   *
   * slot would either get retired and do nothing, or perform the NEW      *
   * edit_insert function.                                                 */

  rsvd=32766  /* This was stuck in to make sure that the `option'          *
               * enumeration uses a word, instead of a byte, in case we    *
               * really expand this structure sometime soon.               */

} option;


#ifdef SILT

struct _st {
    option opt;
    char *token;
};

#ifndef NOINIT

struct _st silt_table[] = {
  {o_chat_cb      , "chat_cb"},
  {o_chat_pvt     , "chat_pvt"},
  {chg_hotkeys    , "chg_hotkeys"},
  {msg_change     , "msg_change"},
  {chat_toggle    , "chat_toggle"},
  {o_page         , "chat_page"},
  {o_menupath     , "menupath"},
  {display_menu   , "display_menu"},
  {display_file   , "display_file"},
  {xtern_erlvl    , "xtern_erlvl"},
  {xtern_dos      , "xtern_dos"},
  {xtern_run      , "xtern_run"},
  {xtern_chain    , "xtern_chain"},
  {xtern_concur   , "xtern_concur"},
  {key_poke       , "key_poke"},
  {clear_stacked  , "clear_stacked"},
  {goodbye        , "goodbye"},
  {statistics     , "statistics"},
  {o_yell         , "yell"},
  {userlist       , "userlist"},
  {o_version      , "version"},
  {area_change    , "area_change"},
  {same_direction , "same_direction"},
  {read_next      , "read_next"},
  {read_previous  , "read_previous"},
  {enter_message  , "enter_message"},
  {msg_reply      , "msg_reply"},
  {read_nonstop   , "read_nonstop"},
  {read_original  , "read_original"},
  {read_reply     , "read_reply"},
  {msg_list       , "msg_list"},
  {msg_scan       , "msg_scan"},
  {msg_inquire    , "msg_inquire"},
  {msg_kill       , "msg_kill"},
  {msg_hurl       , "msg_hurl"},
  {forward        , "forward"},
  {msg_upload     , "msg_upload"},
  {xport          , "xport"},
  {read_individual, "read_individual"},
  {msg_checkmail  , "msg_checkmail"},
  {locate         , "locate"},
  {file_titles    , "file_titles"},
  {type           , "type"},
  {upload         , "upload"},
  {download       , "download"},
  {raw            , "raw"},
  {file_kill      , "file_kill"},
  {contents       , "contents"},
  {file_hurl      , "file_hurl"},
  {chg_city       , "chg_city"},
  {chg_password   , "chg_password"},
  {chg_help       , "chg_help"},
  {chg_nulls      , "chg_nulls"},
  {chg_width      , "chg_width"},
  {chg_length     , "chg_length"},
  {chg_tabs       , "chg_tabs"},
  {chg_more       , "chg_more"},
  {chg_video      , "chg_video"},
  {chg_editor     , "chg_editor"},
  {chg_clear      , "chg_clear"},
  {chg_ibm        , "chg_ibm"},
  {edit_save      , "edit_save"},
  {edit_abort     , "edit_abort"},
  {edit_list      , "edit_list"},
  {edit_edit      , "edit_edit"},
  {edit_insert    , "edit_insert"},
  {edit_delete    , "edit_delete"},
  {edit_continue  , "edit_continue"},
  {edit_to        , "edit_to"},
  {edit_from      , "edit_from"},
  {edit_subj      , "edit_subj"},
  {edit_handling  , "edit_handling"},
  {o_cls          , "cls"},
  {user_editor    , "user_editor"},
  {override_path  , "override_path"},
  {who_is_on      , "who_is_on"},
  {read_diskfile  , "read_diskfile"},
  {edit_quote     , "edit_quote"},
  {chg_phone      , "chg_phone"},
  {chg_realname   , "chg_realname"},
  {leave_comment  , "leave_comment"},
  {message        , "message"},
  {file           , "file"},
  {other          , "other"},
  {newfiles       , "newfiles"},
  {o_if           , "if"},
  {o_press_enter  , "press_enter"}
};

int silt_table_size=sizeof(silt_table)/sizeof(silt_table[0]);

#else
extern int silt_table_size;
extern struct _st silt_table[];
#endif /* NOINIT */
#endif /* SILT */

